# Class HTMLFrameHyperlinkEvent

java.lang.Object
java.util.EventObject
javax.swing.event.HyperlinkEvent
javax.swing.text.html.HTMLFrameHyperlinkEvent

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `FormSubmitEvent`

public class HTMLFrameHyperlinkEvent extends HyperlinkEvent
HTMLFrameHyperlinkEvent is used to notify interested parties that link was activated in a frame.

## Nested Class Summary

### Nested classes/interfaces declared in class HyperlinkEvent

`HyperlinkEvent.EventType`
Modifier and Type
Class
Description
`static final class`
`HyperlinkEvent.EventType`
Defines the ENTERED, EXITED, and ACTIVATED event types, along with their string representations, returned by toString().

## Field Summary

### Fields declared in class EventObject

`source`
Modifier and Type
Field
Description
`protected Object`
`source`
The object on which the Event initially occurred.

## Constructor Summary

Constructors
Constructor
Description
`HTMLFrameHyperlinkEvent(Object source, HyperlinkEvent.EventType type, URL targetURL, String targetFrame)`
Creates a new object representing a html frame hypertext link event.
`HTMLFrameHyperlinkEvent(Object source, HyperlinkEvent.EventType type, URL targetURL, String desc, String targetFrame)`
Creates a new object representing a hypertext link event.
`HTMLFrameHyperlinkEvent(Object source, HyperlinkEvent.EventType type, URL targetURL, String desc, Element sourceElement, InputEvent inputEvent, String targetFrame)`
Creates a new object representing a hypertext link event.
`HTMLFrameHyperlinkEvent(Object source, HyperlinkEvent.EventType type, URL targetURL, String desc, Element sourceElement, String targetFrame)`
Creates a new object representing a hypertext link event.
`HTMLFrameHyperlinkEvent(Object source, HyperlinkEvent.EventType type, URL targetURL, Element sourceElement, String targetFrame)`
Creates a new object representing a hypertext link event.

## Method Summary

Modifier and Type
Method
Description
`String`
`getTarget()`
returns the target for the link.

### Methods declared in class HyperlinkEvent

`getDescription, getEventType, getInputEvent, getSourceElement, getURL`
Modifier and Type
Method
Description
`String`
`getDescription()`
Get the description of the link as a string.
`HyperlinkEvent.EventType`
`getEventType()`
Gets the type of event.
`InputEvent`
`getInputEvent()`
Returns the `InputEvent` that triggered the hyperlink event.
`Element`
`getSourceElement()`
Returns the `Element` that corresponds to the source of the event.
`URL`
`getURL()`
Gets the URL that the link refers to.

### Methods declared in class EventObject

`getSource, toString`
Modifier and Type
Method
Description
`Object`
`getSource()`
The object on which the Event initially occurred.
`String`
`toString()`
Returns a String representation of this EventObject.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Constructor Details

### HTMLFrameHyperlinkEvent

public HTMLFrameHyperlinkEvent(Object source, HyperlinkEvent.EventType type, URL targetURL, String targetFrame)
Creates a new object representing a html frame hypertext link event.

Parameters:
  `source` - the object responsible for the event
  `type` - the event type
  `targetURL` - the affected URL
  `targetFrame` - the Frame to display the document in

### HTMLFrameHyperlinkEvent

public HTMLFrameHyperlinkEvent(Object source, HyperlinkEvent.EventType type, URL targetURL, String desc, String targetFrame)
Creates a new object representing a hypertext link event.

Parameters:
  `source` - the object responsible for the event
  `type` - the event type
  `targetURL` - the affected URL
  `desc` - a description
  `targetFrame` - the Frame to display the document in

### HTMLFrameHyperlinkEvent

public HTMLFrameHyperlinkEvent(Object source, HyperlinkEvent.EventType type, URL targetURL, Element sourceElement, String targetFrame)
Creates a new object representing a hypertext link event.

Parameters:
  `source` - the object responsible for the event
  `type` - the event type
  `targetURL` - the affected URL
  `sourceElement` - the element that corresponds to the source of the event
  `targetFrame` - the Frame to display the document in

### HTMLFrameHyperlinkEvent

public HTMLFrameHyperlinkEvent(Object source, HyperlinkEvent.EventType type, URL targetURL, String desc, Element sourceElement, String targetFrame)
Creates a new object representing a hypertext link event.

Parameters:
  `source` - the object responsible for the event
  `type` - the event type
  `targetURL` - the affected URL
  `desc` - a description
  `sourceElement` - the element that corresponds to the source of the event
  `targetFrame` - the Frame to display the document in

### HTMLFrameHyperlinkEvent

public HTMLFrameHyperlinkEvent(Object source, HyperlinkEvent.EventType type, URL targetURL, String desc, Element sourceElement, InputEvent inputEvent, String targetFrame)
Creates a new object representing a hypertext link event.

Parameters:
  `source` - the object responsible for the event
  `type` - the event type
  `targetURL` - the affected URL
  `desc` - a description
  `sourceElement` - the element that corresponds to the source of the event
  `inputEvent` - InputEvent that triggered the hyperlink event
  `targetFrame` - the Frame to display the document in
Since:
  1.7

## Method Details

### getTarget

public String getTarget()
returns the target for the link.

Returns:
  the target for the link